//
// Copyright (c) 2012 Samsung Electronics Co., Ltd.
//
// Licensed under the Flora License, Version 1.1 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://floralicense.org/license/
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an AS IS BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

#ifndef _GALLERY_APPWIDGETPOPUP_PROVIDER_H_
#define _GALLERY_APPWIDGETPOPUP_PROVIDER_H_

#include <FUi.h>
#include <FShell.h>

class GalleryAppWidgetPopupProvider
	: public Tizen::Shell::AppWidgetPopupProvider
	, public Tizen::Ui::IActionEventListener
{
public:
	GalleryAppWidgetPopupProvider(void);
	virtual ~GalleryAppWidgetPopupProvider(void);
	virtual void OnActionPerformed(const Tizen::Ui::Control& source, int actionId);

protected:
	virtual bool OnAppWidgetPopupProviderInitializing(const Tizen::Base::String& userInfo);
	virtual void OnAppWidgetPopupProviderTerminating(void);

private:
	static const int ID_BUTTON_PREV = 101;
	static const int ID_BUTTON_NEXT = 102;
};

#endif // _GALLERY_APPWIDGETPOPUP_PROVIDER_H_
