//
// Copyright (c) 2012 Samsung Electronics Co., Ltd.
//
// Licensed under the Flora License, Version 1.1 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://floralicense.org/license/
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an AS IS BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

#include <new>
#include <FBaseLog.h>
#include <FGraphics.h>

#include "GalleryDynamicBox.h"

using namespace Tizen::App;
using namespace Tizen::Base;
using namespace Tizen::Base::Collection;
using namespace Tizen::System;
using namespace Tizen::Graphics;
using namespace Tizen::Shell;


GalleryDynamicBox::GalleryDynamicBox(void)
{
}

GalleryDynamicBox::~GalleryDynamicBox(void)
{
}

ServiceApp*
GalleryDynamicBox::CreateInstance(void)
{
	return new (std::nothrow) GalleryDynamicBox();
}

bool
GalleryDynamicBox::OnAppInitializing(AppRegistry& appRegistry)
{
	AppLog("Initializing");

	AppWidgetProviderManager* pAppWidgetProviderManager = AppWidgetProviderManager::GetInstance();
	AppAssertf(pAppWidgetProviderManager, "AppWidgetProviderManager creation failed.");

	pAppWidgetProviderManager->SetAppWidgetProviderFactory(__appwidgetProviderFactory);
	pAppWidgetProviderManager->SetAppWidgetPopupProviderFactory(__appwidgetPopupProviderFactory);

	return true;
}

bool
GalleryDynamicBox::OnAppInitialized(void)
{
	return true;
}

bool
GalleryDynamicBox::OnAppWillTerminate(void)
{
	return true;
}

bool
GalleryDynamicBox::OnAppTerminating(AppRegistry& appRegistry, bool forcedTermination)
{
	// TODO:
	// Deallocate resources allocated by this App for termination.
	// The App's permanent data and context can be saved via appRegistry.

	// TODO: Add your termination code here

	return true;
}

void
GalleryDynamicBox::OnLowMemory(void)
{
	// TODO:
	// Free unused resources or close the App.
}

void
GalleryDynamicBox::OnBatteryLevelChanged(BatteryLevel batteryLevel)
{
	// TODO:
	// Handle any changes in battery level here.
	// Stop using multimedia features(mp3 etc.) if the battery level is CRITICAL.
}

